Bug 867939 - [abrt] java-1.7.0-openjdk-devel-1.7.0.9-2.3.3.fc17: os::abort: Process /usr/lib/jvm/java-1.7.0-openjdk-1.7.0.9.x86_64/bin/policytool was killed by signal 6 (SIGABRT)
[abrt] java-1.7.0-openjdk-devel-1.7.0.9-2.3.3.fc17: os::abort: Process /usr/l...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-18 11:47 EDT by Hazem Noor
Modified: 2013-01-16 16:50 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-16 16:50:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.02 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: environ (1.84 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: backtrace (57.10 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: cgroup (128 bytes, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: maps (26.32 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: dso_list (4.75 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: var_log_messages (195 bytes, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
File: open_fds (1.20 KB, text/plain)
2012-10-18 11:47 EDT, Hazem Noor
no flags Details
Backtrace for comment #17 (125.55 KB, text/plain)
2012-12-11 12:33 EST, Eilidh Fridlington
no flags Details
hs_err log (115.44 KB, text/x-log)
2012-12-11 15:55 EST, Eilidh Fridlington
no flags Details
hs_err log (25.19 KB, text/x-log)
2012-12-11 15:56 EST, Eilidh Fridlington
no flags Details

  None (edit)
Description Hazem Noor 2012-10-18 11:47:06 EDT
Version-Release number of selected component:
java-1.7.0-openjdk-devel-1.7.0.9-2.3.3.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 3
cmdline:        /usr/bin/policytool
crash_function: os::abort
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #2 os::abort at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/os_linux.cpp:1588
: #3 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:1018
: #4 crash_handler at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os/linux/vm/vmError_linux.cpp:106
: #6 os::is_first_C_frame at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/runtime/os.cpp:984
: #7 VMError::report at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:588
: #8 VMError::report_and_die at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/share/vm/utilities/vmError.cpp:952
: #9 JVM_handle_linux_signal at /usr/src/debug/java-1.7.0-openjdk/openjdk/hotspot/src/os_cpu/linux_x86/vm/os_linux_x86.cpp:528
: #11 IA__FcConfigSubstituteWithPat at fccfg.c:1407
: #12 IA__FcFontRenderPrepare at fcmatch.c:429
: #13 IA__FcFontMatch at fcmatch.c:553
Comment 1 Hazem Noor 2012-10-18 11:47:10 EDT
Created attachment 629523 [details]
File: core_backtrace
Comment 2 Hazem Noor 2012-10-18 11:47:13 EDT
Created attachment 629524 [details]
File: environ
Comment 3 Hazem Noor 2012-10-18 11:47:15 EDT
Created attachment 629525 [details]
File: limits
Comment 4 Hazem Noor 2012-10-18 11:47:24 EDT
Created attachment 629526 [details]
File: backtrace
Comment 5 Hazem Noor 2012-10-18 11:47:26 EDT
Created attachment 629527 [details]
File: cgroup
Comment 6 Hazem Noor 2012-10-18 11:47:31 EDT
Created attachment 629528 [details]
File: maps
Comment 7 Hazem Noor 2012-10-18 11:47:34 EDT
Created attachment 629529 [details]
File: dso_list
Comment 8 Hazem Noor 2012-10-18 11:47:37 EDT
Created attachment 629530 [details]
File: var_log_messages
Comment 9 Hazem Noor 2012-10-18 11:47:40 EDT
Created attachment 629531 [details]
File: open_fds
Comment 10 Deepak Bhole 2012-10-18 11:51:03 EDT
Hi, do you have the accompanying hs_err file for this crash? Also, is it reproducible?
Comment 11 Shailender 2012-11-02 21:40:27 EDT
caused by eclipse crash

backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17.1
OS Release: Fedora release 17 (Beefy Miracle)
Comment 12 Adrián Gómez 2012-11-24 17:53:54 EST
Hello.

I was using my computer and clicked on an application with the name documents, after intallind LibreOffice from your add/remove software program, then, an error appeared and it said that it could not send the bug information to you, then I turned off my computer and went away to eat something.

I turned up my computer again, clicked on OpenOffice Writter icon and this appeared, so I inmediatly closed OpenOffice Writter, and focused on the bug details. OpenOffice Writter was the only program running on my computer.

This is a fresh install of Fedora, I installed it today, I have also instaled a program called as ntfs-conf, that I allways instaled when I was using Debian, and a long, long time ago Ubuntu.
The installation of Fedora was performed by formating to ext4 my HDD, deleting al the old Debian Partitions, I even deleted /home and swap.

I have not yet backed up all my files, so it's a clean system.

I have also updated my computer when the instalation finished, and checked up for new updates just before this happens and it said that my computer was up to date.

Hope this information helps, it's all I can say, if you need anymore information, contact me, it's going to be a pleasure to help the Fedora community.

Goodbye.


backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17.1
OS Release: Fedora release 17 (Beefy Miracle)
Comment 13 Adrián Gómez 2012-11-24 18:05:38 EST
 

backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17.1
OS Release: Fedora release 17 (Beefy Miracle)
Comment 14 Eilidh Fridlington 2012-12-11 10:20:27 EST
Started Eclipse, selected a folder as a default workspace - crash....

backtrace_rating: 3
Package: java-1.7.0-openjdk-1.7.0.9-2.3.3.fc17.1
OS Release: Fedora release 17 (Beefy Miracle)
Comment 15 Deepak Bhole 2012-12-11 11:47:52 EST
Can you please post the output of:

rpm -qa | grep font
Comment 16 Eilidh Fridlington 2012-12-11 12:07:03 EST
Deepak, the output of rpm -qa | grep font is:

wqy-microhei-fonts-0.2.0-0.9.beta.fc17.noarch
wine-symbol-fonts-1.5.17-1.fc17.noarch
sil-padauk-fonts-2.4-8.fc17.noarch
libXfont-1.4.5-1.fc17.x86_64
thai-scalable-fonts-common-0.5.0-1.fc17.noarch
lohit-oriya-fonts-2.5.1-1.fc17.noarch
lklug-fonts-0.6-6.20090803cvs.fc17.noarch
lohit-kannada-fonts-2.5.1-2.fc17.noarch
libreoffice-opensymbol-fonts-3.5.7.2-6.fc17.noarch
fluid-soundfont-lite-patches-3.1-8.fc17.noarch
fontpackages-filesystem-1.44-4.fc17.noarch
dejavu-fonts-common-2.33-3.fc17.noarch
wine-fonts-1.5.17-1.fc17.noarch
khmeros-base-fonts-5.0-12.fc17.noarch
khmeros-fonts-common-5.0-12.fc17.noarch
paktype-naqsh-fonts-3.0-6.fc17.noarch
dejavu-sans-mono-fonts-2.33-3.fc17.noarch
abattis-cantarell-fonts-0.0.8-1.fc17.noarch
lohit-punjabi-fonts-2.5.1-2.fc17.noarch
wine-ms-sans-serif-fonts-1.5.17-1.fc17.noarch
liberation-mono-fonts-1.07.2-6.fc17.noarch
urw-fonts-2.4-11.fc17.noarch
lohit-bengali-fonts-2.5.1-1.fc17.noarch
libfontenc-1.1.0-2.fc17.x86_64
xorg-x11-fonts-ISO8859-1-100dpi-7.5-5.fc17.noarch
liberation-serif-fonts-1.07.2-6.fc17.noarch
wine-tahoma-fonts-1.5.17-1.fc17.noarch
liberation-narrow-fonts-1.07.2-6.fc17.noarch
lohit-assamese-fonts-2.5.1-2.fc17.noarch
smc-fonts-common-5.0.1-2.fc17.noarch
xorg-x11-font-utils-7.5-7.fc17.x86_64
dejavu-sans-fonts-2.33-3.fc17.noarch
fontconfig-2.8.0-8.fc17.x86_64
liberation-sans-fonts-1.07.2-6.fc17.noarch
wine-system-fonts-1.5.17-1.fc17.noarch
fontconfig-2.8.0-8.fc17.i686
google-droid-sans-fonts-20100409-3.fc17.noarch
jomolhari-fonts-0.003-11.fc17.noarch
sil-abyssinica-fonts-1.200-2.fc17.noarch
fluid-soundfont-common-3.1-8.fc17.noarch
wine-courier-fonts-1.5.17-1.fc17.noarch
lohit-telugu-fonts-2.5.1-2.fc17.noarch
liberation-fonts-common-1.07.2-6.fc17.noarch
dejavu-serif-fonts-2.33-3.fc17.noarch
fontconfig-devel-2.8.0-8.fc17.x86_64
lohit-gujarati-fonts-2.5.1-2.fc17.noarch
thai-scalable-waree-fonts-0.5.0-1.fc17.noarch
wine-small-fonts-1.5.17-1.fc17.noarch
ghostscript-fonts-5.50-28.fc17.noarch
lohit-devanagari-fonts-2.5.1-3.fc17.noarch
lohit-tamil-fonts-2.5.1-2.fc17.noarch
wine-marlett-fonts-1.5.17-1.fc17.noarch
smc-meera-fonts-5.0.1-2.fc17.noarch
stix-fonts-1.0.0-3.fc17.noarch
Comment 17 Deepak Bhole 2012-12-11 12:11:44 EST
Thanks Eilidh,

Do you have a backtrace you can attach? (There is a bt from the original reporter but I just want to confirm that yours is the same)
Comment 18 Eilidh Fridlington 2012-12-11 12:33:39 EST
Created attachment 661583 [details]
Backtrace for comment #17

Backtrace attached for comment #17
Comment 19 Deepak Bhole 2012-12-11 13:15:27 EST
(In reply to comment #18)
> Created attachment 661583 [details]
> Backtrace for comment #17
> 
> Backtrace attached for comment #17

That's what I was afraid of. The issue you are having it completely different. Not sure why abrt directed it to this issue.

Do you have an hs_err file for your error as well?
Comment 20 Eilidh Fridlington 2012-12-11 15:54:04 EST
I've two of them, timestamped one minute apart. Attachments are below this comment.

I've just found the following xsession_error associated with the first crash. hs_err_pid3813.log (I presume it crashed twice without me realising because there are two hs_err files):

** (zeitgeist-datahub:1113): WARNING **: recent-manager-provider.vala:133: Desktop file for "file:///home/eilidh/source/java" was not found, exec: Eclipse, mime_type: inode/directory
Comment 21 Eilidh Fridlington 2012-12-11 15:55:26 EST
Created attachment 661670 [details]
hs_err log

First hs_err log, timestamp 15:01
Comment 22 Eilidh Fridlington 2012-12-11 15:56:11 EST
Created attachment 661671 [details]
hs_err log

Second hs_err log, timestamp 15:02
Comment 23 Deepak Bhole 2012-12-11 16:04:42 EST
Both errors have a completely different lead up to the trace. Doesn't look like they even have the same cause. Can you always reproduce this issue? If so, how can we reproduce it on our systems?
Comment 24 Eilidh Fridlington 2012-12-11 16:10:53 EST
No - completely random, I can't reproduce :(

The only clue I have is that it was the first time I started Eclipse after a fresh install.
Comment 25 Deepak Bhole 2013-01-08 15:22:40 EST
Adding Alex to cc:

Alex, have you seen this before?
Comment 26 Alexander Kurtakov 2013-01-09 02:02:43 EST
(In reply to comment #25)
> Adding Alex to cc:
> 
> Alex, have you seen this before?

Nope, the logs make no sense to me. Especially the second one is really weird.
Comment 27 Deepak Bhole 2013-01-16 16:50:29 EST
Unfortunately there is not enough information in the traces to determine what is going on :( If you have a coredump, that'd be great. But without it and without reproducibility, there is not much we can do about this, sorry :(

I am going to close this and remove the hash marker [abrt_hash:e64e0078b2bae2284c314841666c8b58407c17ba] in the hopes that another bug is created by abrtd with more information

Note You need to log in before you can comment on or make changes to this bug.